org.springframework.core.task.support

## Class ConcurrentExecutorAdapter

- java.lang.Object
- - org.springframework.core.task.support.ConcurrentExecutorAdapter

All Implemented Interfaces:
  Executor

    public class ConcurrentExecutorAdapter
    extends Object
    implements Executor

Adapter that exposes the `Executor` interface for any Spring `TaskExecutor`.

This is less useful as of Spring 3.0, since TaskExecutor itself extends the Executor interface. The adapter is only relevant for hiding the TaskExecutor nature of a given object now, solely exposing the standard Executor interface to a client.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `Executor`, `TaskExecutor`

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentExecutorAdapter(TaskExecutor taskExecutor)` Create a new ConcurrentExecutorAdapter for the given Spring TaskExecutor.

### Method Summary

Methods
`void` `execute(Runnable command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentExecutorAdapter

    public ConcurrentExecutorAdapter(TaskExecutor taskExecutor)

Create a new ConcurrentExecutorAdapter for the given Spring TaskExecutor.

Parameters:
  `taskExecutor` - the Spring TaskExecutor to wrap

### Method Detail

#### execute

    public void execute(Runnable command)

Specified by:
  `execute` in interface `Executor`